<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();
session_cache_limiter('private');
$cache_limiter 	= session_cache_limiter();
session_cache_expire(60);
$cache_expire 	= session_cache_expire(); 
date_default_timezone_set('Asia/Manila'); 
$CURRENT_DATE 	= date('Y-m-d H:i:s');
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload	=	new autoloadClass();
$mecon		=	new condbClass(); 
$utility	=	new utilityClass(); 
$bcmId 		= isset($_POST['mainid']) ? trim(strip_tags($_POST['mainid'])) : "";  
$remarks	= isset($_POST['value']) ? trim(strip_tags($_POST['value'])) : "";  


$currentUser 				= $_SESSION['castalia_username'];
$timeStamp					= date('Y-m-d H:i:s');
$output 					= "";  
$output2					= "";
$mainArr 					= array();
$condArr 					= array();
$mainArr2 					= array();
$condArr2 					= array();
$condArr['Id'] 				= $bcmId;  
$mainArr['ReturnRemarks']   = $remarks; 
$output 					= $mecon->updateQuery($mainArr,"buyer_cheque_monitoring_past_due",$condArr);
 
//LOG TASK
			$actArr['UserType']			= "assistant_accountant,accountant"; 
			$actArr['Remarks']			= "Update Return Remarks : [$currentId]";
			$actArr['Action']			= "edit";
			$actArr['TransId']			= $currentId;
			$actArr['ActionType']		= "buyer_cheque_monitoring_past_due";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$utility->encodeActivityLog($actArr); 
			


$resultArr 						= array();
$resultArr['output']	  		= $output;  
echo json_encode($resultArr);
exit();
ob_end_flush();
